Subject: Re: [nfsv4] CB_COPY list of errors (WAS: server-side copyoffloadI-D)

From: "Iyer, Rahul" <[email-masked]>
Date: Mon, 6 Apr 2009 17:03:15 -0700

Just to clarify, your point holds... just that it applies in the errors
section of COPY.
-Rahul

-----Original Message-----
From: Iyer, Rahul 
Sent: Monday, April 06, 2009 5:01 PM
To: Erasani, Pranoop; Madan, Anshul
Cc: [email-masked]
Subject: RE: [nfsv4] CB_COPY list of errors (WAS: server-side
copyoffloadI-D)

The error codes to CB_COPY are meant to imply the errors the client
would send back to the server as a result of CB_COPY. Any errors the
server encountered would be in cca_status and would be one of the many
errors outlined in the COPY rpc.
Thanks,
Rahul

-----Original Message-----
From: Erasani, Pranoop
Sent: Monday, April 06, 2009 12:03 AM
To: Madan, Anshul
Cc: [email-masked]
Subject: Re: [nfsv4] CB_COPY list of errors (WAS: server-side
copyoffloadI-D)

> -----Original Message-----
> From: Madan, Anshul
> Sent: Sunday, April 05, 2009 11:53 PM
> To: Erasani, Pranoop
> Cc: [email-masked]
> Subject: Re: [nfsv4] CB_COPY list of errors (WAS: server-side copy 
> offloadI-D)
> 
> 
> > 
> >  
> > I think CB_COPY errors section needs a major clarification.
> 
> The error codes were not addressed comprehensively in this draft. This

> was discussed before also, we are planning to add a complete list of 
> errors in a latter revision.

I will paste my entire question (which had meat), given that you picked
only the minor detail part of it:

> This operation is a key piece of the protocol and I don't see why only
one error code is applicable here? What is the story around actual
errors codes that we get back from the server-to-server copy operations
in the backend? Meaning, if let's say server-to-server protocol is FTP,
would a FTP specific error code make sense for the NFSv4.x client that
is initiatint the s2s copy?
 
> Assuming the actual s2s protocol is NFSv4.x, I do see many more errors
to be represented here to make sense of the communication between
client-destination,destination-source. At the minimum, I see the CB_COPY
sending the same set of errors (and many many more) as CB_STATUS.

I started with error codes. But, ended with the question that, there
could be some s2s protocol error codes that the clients need to know.
What do you want to do with them? I took an example of a case were s2s
protocol isnot NFSv4.x. What would be the error code that is returned
back, to the client, let's say, if source does not accept the
destination FTP requests.

- Pranoop

> Regards,
> Anshul
> 
> >  
> > - Pranoop
> > _______________________________________________
> > nfsv4 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nfsv4
> 
> 
_______________________________________________
nfsv4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nfsv4